# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/catalogs/{name_arg}`

Gets the specified catalog in a metastore.
 The caller must be a metastore admin, the owner of the catalog, or a user that has the **USE_CATALOG** privilege set for their account.

API scopes: unity-catalog

## Path parameters

- `name_arg` (string, optional)
  The name of the catalog.

## Query parameters

- `include_browse` (boolean, optional)
  Whether to include catalogs in the response for which the principal can only access selective metadata for

## Returns

Returns the CatalogInfo object.

## Response

```json
{
  "name": "string",
  "owner": "string",
  "comment": "string",
  "storage_root": "string",
  "enable_predictive_optimization": "string",
  "catalog_type": "string",
  "provider_name": "string",
  "share_name": "string",
  "connection_name": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "storage_location": "string",
  "isolation_mode": "string",
  "effective_predictive_optimization_flag": {
    "value": "string",
    "inherited_from_type": "string",
    "inherited_from_name": "string"
  },
  "browse_only": true,
  "provisioning_info": {
    "state": "string"
  },
  "full_name": "string",
  "securable_type": "string",
  "custom_max_retention_hours": 0,
  "managed_encryption_settings": {
    "customer_managed_key_id": "string",
    "azure_key_vault_key_id": "string",
    "azure_encryption_settings": {}
  },
  "properties": {},
  "options": {}
}
```

